当前位置: 首页 > 在线实验 > ActiveMQ反序列化RCE漏洞(CVE-2023-46604)
选择课程

ActiveMQ反序列化RCE漏洞(CVE-2023-46604)

实验视频
实验机保留时间 ::
0人评价 学习人数:20 难度:中级
Apache ActiveMQ 是美国阿帕奇(Apache)软件基金会所研发的一套开源的消息中间件,它支持Java消息服务、集群、Spring Framework等。OpenWire协议在ActiveMQ中被用于多语言客户端与服务端通信。在Apache ActiveMQ 5.18.2版本及以前,OpenWire协议通信过程中存在一处反序列化漏洞,该漏洞可以允许具有网络访问权限的远程攻击者通过操作 OpenWire 协议中的序列化类类型,导致代理的类路径上的任何类实例化,从而执行任意命令。
...全部展开 
免费
  • 指导书
  • 评价(0)
  • 问答(0)

上传实验报告 实验报告模板

上传文件支持 20M内的 doc或 docx格式的文件。

实验标签
CVE-2023-46604 网安热点 ActiveMQ
归属课程
相关推荐
提供者: 播放次数:0